Skip to content

AI status and activity​

GET
/api/ai/status

Diagnostics for the AI features: the state of the warm model slots and
request queue (server-wide), work in progress for this user, and the
user's recent AI activity log. The slot objects use camelCase keys.

Authorizations​

bearerAuth

API token created via POST /api/tokens or the db:create-token CLI command

Type
HTTP (bearer)

Parameters​

Query Parameters

limit

Activity entries to return.

Type
integer
Default
20
Maximum
100
offset
Type
integer
Default
0
action

Only activity entries of this action.

Type
string
Example"enrichment"

Responses​

AI status

application/json
JSON
{
"data": {
"enrichment_slot": {
"state": "string",
"activatedAt": "string",
"totalRequests": 0,
"totalRecycles": 0,
"lastRequestAt": "string",
"model": "string",
"currentOperation": {
"taskId": 0,
"inputText": "string",
"startedAt": "string"
}
},
"quick_take_slot": {
"state": "string",
"activatedAt": "string",
"totalRequests": 0,
"totalRecycles": 0,
"lastRequestAt": "string",
"model": "string",
"totalSuperseded": 0,
"currentOperation": {
"inputText": "string",
"startedAt": "string"
}
},
"queue": {
"active": 0,
"waiting": 0,
"maxConcurrent": 0
},
"in_progress": {
"enrichment": {
"slot": {
},
"pipeline_task_ids": [
0
],
"circuit_breaker_open": true,
"pending_count": 0
},
"insights": {
"session_id": "string",
"status": "string",
"total_tasks": 0,
"completed": 0,
"started_at": "string"
}
},
"recent_activity": [
{
"id": 0,
"user_id": 0,
"task_id": 0,
"action": "string",
"status": "string",
"input": "string",
"output": "string",
"model": "string",
"duration_ms": 0,
"error": "string",
"provider": "string",
"created_at": "string"
}
]
}
}

Samples​

Powered by VitePress OpenAPI